=head1 NAME


XXV::MODULES::MUSIC



=head1 SYNOPSIS

  
  use XXV::MODULES::MUSIC
  my  = XXV::MODULES::MUSIC->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );



=head1 VERSION

0.45 - 04.09.2005

=head1 DESCRIPTION

Dieser Modul behandelt die Musikdateien.

=head1 CONFIGURATION

=over 4



=item 1 active

Aktiviere diesen Dienst

=over 4

=item * default: y

=item * type: confirm

=item * required: Yes

=back



=item 2 clients

Maximale Anzahl von Clients, zur selben Zeit

=over 4

=item * default: 5

=item * type: integer

=item * required: Yes

=back



=item 3 coverimages

Gemeinsames Verzeichnis für Bilder von Plattenhüllen

=over 4

=item * default: /var/cache/xxv/cover

=item * type: dir

=item * required: Yes

=back



=item 4 muggle

DSN für die Muggle Datenbank

=over 4

=item * default: DBI:mysql:database=GiantDisc;host=localhost;port=3306

=item * type: string

=item * required: No

=back



=item 5 mugglei

Das Verzeichnis zum Programm mugglei.

=over 4

=item * default: /usr/local/bin/mugglei

=item * type: file

=item * required: No

=back



=item 6 path

Verzeichnis mit den Musikdateien

=over 4

=item * default: /music

=item * type: dir

=item * required: Yes

=back



=item 7 port

Port des Server, an dem für Icecast Clients gelauscht wird.

=over 4

=item * default: 8100

=item * type: integer

=item * required: Yes

=back



=item 8 proxy

Proxy URL des Musikservers. z.B.(http://vdr/xxv). Denke daran das der Port des Icecast Server in die Proxykonfiguration eingetragen werden muss!

=over 4

=item * default: 

=item * type: string

=item * required: No

=back



=back

=head1 COMMANDS

=over 4



=item *  mcovers (mc)

Plattenhüllen herunterladen.



=item *  mlist (ml)

Zeige Musik 'dir'



=item *  mplay (mp)

Spiele Musikdatei 'fid'



=item *  mplaylist (m3)

Erzeuge ein m3u-Abspielliste für 'fid'



=item *  mrefresh (mr)

Nochmaliges Einlesen des Musikverzeichnisses.



=item *  msearch (mf)

Sucht Musik 'txt'



=back

=head1 REQUIREMENTS

=over 4



=item *  CGI

Simple Common Gateway Interface Class



=item *  DBD::mysql

MySQL driver for the Perl5 Database Interface (DBI)



=item *  DBI

Database independent interface for Perl 



=item *  LWP::Simple

get, head, getprint, getstore, mirror - Procedural LWP interface



=item *  MP3::Icecast

Generate Icecast streams, as well as M3U and PLSv2 playlists



=item *  MP3::Info

Manipulate / fetch info from MP3 audio files 



=item *  Net::Amazon

Framework for accessing amazon.com via SOAP and XML/HTTP



=item *  Net::Amazon::Request::Artist

Class for submitting Artist requests



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
